Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057265 - satellite-sync from dump throws: InvalidPackageError
Summary: satellite-sync from dump throws: InvalidPackageError
Keywords:
Status: CLOSED DUPLICATE of bug 1051658
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space27
TreeView+ depends on / blocked
 
Reported: 2014-01-23 17:48 UTC by Jan Hutař
Modified: 2017-09-28 18:06 UTC (History)
2 users (show)

Fixed In Version: spacewalk-backend-2.1.45-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-24 22:28:51 UTC


Attachments (Terms of Use)

Description Jan Hutař 2014-01-23 17:48:27 UTC
Description of problem:
satellite-sync from some oldish channel dump throws InvalidPackageError exception


Version-Release number of selected component (if applicable):
spacewalk-backend-tools-2.1.44-1.el6.noarch


How reproducible:
2 of 2 SWnightly@PostgreSQL


Steps to Reproduce:
1. # satellite-sync -m <some_dump> -c clone-rhel-x86_64-server-5


Actual results:
InvalidPackageError("Could not find object [<spacewalk.server.importlib.importLib.IncompletePackage instance; attributes={'channels': {262: 'clone-rhel-x86_64-server-5'}, 'package_arch_id': 119, 'name': 'xorg-x11-xtrans-devel', 'checksum': 'f1ebdf75493a3ce31b2364dcfee2ad83', 'org_id': None, 'package_id': 'rhn-package-1660', 'package_size': 68009, 'nevra_id': 7446, 'epoch': '', 'last_modified': '2010-10-26 05:07:41', 'name_id': 6673, 'version': '1.0.1', 'checksums': {'md5': 'f1ebdf75493a3ce31b2364dcfee2ad83'}, 'release': '1.1.fc6', 'checksum_type': 'md5', 'arch': 'x86_64', 'evr_id': 1343, 'checksum_id': 68834}] in table rhnPackage",)
Could not find object [<spacewalk.server.importlib.importLib.IncompletePackage instance; attributes={'channels': {262: 'clone-rhel-x86_64-server-5'}, 'package_arch_id': 119, 'name': 'xorg-x11-xtrans-devel', 'checksum': 'f1ebdf75493a3ce31b2364dcfee2ad83', 'org_id': None, 'package_id': 'rhn-package-1660', 'package_size': 68009, 'nevra_id': 7446, 'epoch': '', 'last_modified': '2010-10-26 05:07:41', 'name_id': 6673, 'version': '1.0.1', 'checksums': {'md5': 'f1ebdf75493a3ce31b2364dcfee2ad83'}, 'release': '1.1.fc6', 'checksum_type': 'md5', 'arch': 'x86_64', 'evr_id': 1343, 'checksum_id': 68834}] in table rhnPackage


Expected results:
Should work

Comment 5 Eric Herget 2017-09-28 18:06:40 UTC
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.


Note You need to log in before you can comment on or make changes to this bug.